﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Maps;
using System.Collections.ObjectModel;

namespace XamOrgChartBinding
{
    public partial class MainPage : UserControl
    {
        DepartmentViewModel dvm;
        public MainPage()
        {
            InitializeComponent();
            XamOrgChart org = new XamOrgChart();

            dvm = new DepartmentViewModel();
            OrgChart.ItemsSource = dvm.Employees;
            OrgChart.GlobalNodeLayouts.Add(new OrgChartNodeLayout()
            {
                TargetTypeName = "Employee",
                DisplayMemberPath = "FirstName",
                Key = "Subordinates"
            });
        }
    }

      

    public class Employee
    {
        public Employee(string firstName, string lastName, string jobTitle)
        {
            this.FirstName = firstName;
            this.LastName = lastName;
            this.JobTitle = jobTitle;
            Subordinates = new ObservableCollection<Employee>();
        }

        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string JobTitle { get; set; }
        public IList<Employee> Subordinates { set; get; }
        //public override string ToString()
        //{
        //    return FirstName + " " + LastName + " " + JobTitle;
        //}

    }

    public class DepartmentViewModel
    {
        public ObservableCollection<Employee> Employees { get; set; }

        public DepartmentViewModel()
        {
            Employee employee1 = new Employee("Rob", "Walters", "Senior Tool Designer");
            Employee employee2 = new Employee("Ovidiu", "Cracium", "Senior Tool Designer");
            Employee employee3 = new Employee("Thierry", "D'Hers", "Tool Designer");
            Employee employee4 = new Employee("Janice", "Galvin", "Tool Designer");
            Employees = new ObservableCollection<Employee>();
            employee2.Subordinates.Add(employee1);
            employee4.Subordinates.Add(employee2);
            employee4.Subordinates.Add(employee3);
            Employees.Add(employee4);


        }


    }
}
